﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Швейная_фабрика
{
    public partial class fCustomer : Form
    {
        public fCustomer()
        {
            InitializeComponent();
        }
        void FillListOrders()
        {
            SqlConnection con = new SqlConnection(Properties.Settings.Default.GarmentFactoryConnectionString);
            con.Open();
            string txtquery =
@"select Products.Name as Prod, Orders.ProductsCount as ProductsCount, 
Fabrics.Name as fabric, Furnitura.namefur as fur, Orders.FurnitureCount as FurnitureCount, 
Users.Surname as manager
from Orders, Users, Fabrics, Furnitura, Products
where Users.User_id = Orders.Custmer_id and Fabrics.Fabric_id = Orders.Fabric_id 
and Furnitura.idfur = Orders.idfur and Products.Product_id = Orders.Product_id
and Orders.Custmer_id = " + LblIdUser.Text;

            SqlCommand query1 = new SqlCommand(txtquery, con);
            // выполнить запрос
            SqlDataReader sqlrez = query1.ExecuteReader();

            DgvOrders.Rows.Clear(); // очистить от старых строк
            // перебирать результаты запроса
            while (sqlrez.Read())
            {
                DgvOrders.Rows.Add(sqlrez["Prod"], sqlrez["ProductsCount"],
                    sqlrez["fabric"], sqlrez["fur"], sqlrez["FurnitureCount"],
                    sqlrez["manager"]);
            }
            con.Close();
        }
        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.garmentFactoryDataSet);

        }

        private void fCustomer_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "garmentFactoryDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);
            FillListOrders();
        }

        private void BtnProfile_Click(object sender, EventArgs e)
        {
            fProfile fProfile = new fProfile();
            // на форму для редактирования профиля передать 
            // фильтр для выборки авторизовавшегося пользователя
            fProfile.usersBindingSource.Filter = this.usersBindingSource.Filter;
            if (fProfile.ShowDialog() == DialogResult.OK)
            {
                this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);
            }
        }

        private void BtnLev_Click(object sender, EventArgs e)
        {
            fLev fLev = new fLev();
            fLev.ShowDialog();
        }

        private void BtnAddZakaz_Click(object sender, EventArgs e)
        {
            fAddOrder fAddOrder = new fAddOrder();
            // передать код авторизовавшегося заказчика
            fAddOrder.IdZakazchik = LblIdUser.Text;
            fAddOrder.ShowDialog();
            FillListOrders();
        }
    }
}
