﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Швейная_фабрика
{
    public partial class fLogin : Form
    {
        public fLogin()
        {
            InitializeComponent();
        }
        public static string connectionString = @"Data Source=213.155.192.79,3002;Initial Catalog=GarmentFactory;Persist Security Info=True;User ID=u22rofeenko;Password=ns2e";
        string GetCapcha()
        {
            string TxtLetter = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            string TxtDigit = "0123456789";
            string t1 = TxtLetter + TxtDigit;
            string capcha = "";
            bool FlagDigit = false;
            Random rnd = new Random();

            for (int i = 1; i <= 3; i++)
            {
                // взять символ из строки с символами для капчи
                char sim = t1[rnd.Next(t1.Length)];
                // если символ - цифра, запомнить это
                if (char.IsDigit(sim)) FlagDigit = true;
                capcha += sim;  // добавить символ к капче
            }
            if (FlagDigit == false)
                capcha += TxtDigit[rnd.Next(TxtDigit.Length)];
            else
                capcha += TxtLetter[rnd.Next(TxtLetter.Length)];

            return capcha;
        }

        private void fLogin_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "garmentFactoryDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);
            CmbRole.SelectedIndex = 0;
            LblCapcha.Text = GetCapcha();
            TbxCapcha.Text = LblCapcha.Text;
        }

        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.garmentFactoryDataSet);

        }

        private void BtnLogin_Click(object sender, EventArgs e)
        {
            string role = CmbRole.SelectedItem.ToString();
            // фильтр для таблицы Пользователи
          
            // логин для передачи на рабочее место
            string TxtFilterForUser = string.Format("login = '{0}'", TbxLogin.Text);
            usersBindingSource.Filter = $"Login='{TbxLogin.Text}' and Password='{TbxPass.Text}'";
            if (usersBindingSource.Count == 0)
            {
                MessageBox.Show("Пользователь с таким логином и паролем не существует");
                return;
            }

            TbxLogin.Clear(); TbxPass.Clear(); // очистить поля
            this.Visible = false;  // скрыть форму для авторизации

            if (role == "заказчик")
            {
                // создать форму для заказчика
                fCustomer fCustomer = new fCustomer();
                // отфильтровать авторизовавшегося пользователя
                fCustomer.usersBindingSource.Filter = TxtFilterForUser;
                fCustomer.ShowDialog();
            }

            if (role == "менеджер")
            {
                // создать форму для менеджера
                fManager fManager = new fManager();
                // отфильтровать авторизовавшегося пользователя
                fManager.usersBindingSource.Filter = TxtFilterForUser;
                fManager.ShowDialog();
            }

            if (role == "кладовщик")
            {
                // создать форму для кладовщика
                fStorekeeper fStorekeeper = new fStorekeeper();
                // отфильтровать авторизовавшегося пользователя
                fStorekeeper.usersBindingSource.Filter = TxtFilterForUser;
                fStorekeeper.ShowDialog();
            }

            this.Visible = true;  // показать форму для авторизации
                                  // загрузить обновленные записи из БД
            this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);
            TbxLogin.Focus();
            TbxCapcha.Clear();
            LblCapcha.Text = GetCapcha();
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            TbxPass.UseSystemPasswordChar = !TbxPass.UseSystemPasswordChar;
        }

        private void LblCapcha_Paint(object sender, PaintEventArgs e)
        {
            Color[] colors = { Color.Green, Color.Black, Color.Yellow, Color.White };
            Random rnd = new Random();
            // изобразить от 5 до 10 линий
            for (int i = 1; i <= rnd.Next(5, 11); i++)
            {
                // координаты начала и конца отрезка
                int x1 = rnd.Next(LblCapcha.Width);
                int y1 = rnd.Next(LblCapcha.Height);
                int x2 = rnd.Next(LblCapcha.Width);
                int y2 = rnd.Next(LblCapcha.Height);
                // случайный цвет из массива цветов
                Color col = colors[rnd.Next(colors.Length)];
                // нарисовать линию на метке Label
                e.Graphics.DrawLine(new Pen(col), x1, y1, x2, y2);
            }
        }

        private void LblReg_Click(object sender, EventArgs e)
        {
            fSignUp fSignUp = new fSignUp();
            if (fSignUp.ShowDialog() == DialogResult.OK)
                this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);
        }
    }
}
