﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Швейная_фабрика
{
    public partial class fProfile : Form
    {
        public fProfile()
        {
            InitializeComponent();
        }

        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.usersBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.garmentFactoryDataSet);

        }

        private void fProfile_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "garmentFactoryDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.garmentFactoryDataSet.Users);

        }

        private void BtnSave_Click(object sender, EventArgs e)
        {
            if (TbxOldPass.Text != LblPass.Text)
            {
                MessageBox.Show("Вы ввели неверный текущий пароль!", "Внимание",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            if (TbxNewPass.Text != "")  // изменяется пароль
            {
                // поместить в БД новый пароль
                LblPass.Text = TbxNewPass.Text;
            }

            usersBindingSource.EndEdit();
            this.usersTableAdapter.Update(this.garmentFactoryDataSet.Users);

            this.DialogResult = DialogResult.OK;
            Close();
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            TbxNewPass.UseSystemPasswordChar = !TbxNewPass.UseSystemPasswordChar;
        }
    }
}
